Skip to main content
PATCH
/
ai-agents
/
agent-builder
/
agents
/
{agentUid}
/
tools
/
{slug}
/
actions
/
add
Enable actions for a tool
curl --request PATCH \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{agentUid}/tools/{slug}/actions/add \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "actions": [
    "send-email",
    "draft-email",
    "read-emails"
  ],
  "authMeta": [
    "emailId: \"example@cometchat.com\""
  ]
}
'

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

agentUid
string
required

AI Agent UID

slug
string
required

Tool slug (e.g., gmail, googlesheets)

Body

application/json
actions
string[]
required

Array of action names to add or remove

Example:
["send-email", "draft-email", "read-emails"]
authMeta
object
required

Credentials or metadata required for authenticating the tool

Example:
["emailId: \"example@cometchat.com\""]

Response

Actions added successfully